package cn.superdesk.uniorder.service.sys.role;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.role.SysMenuOpenApi;
import cn.superdesk.uniorder.dto.param.system.role.SysMenuOpenApiQueryCriteria;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description: 一级菜单-二级菜单-按钮 X 开放接口
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-11-01 10:58:18
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-11-01 10:58:18
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface SysMenuOpenApiService extends BaseService<SysMenuOpenApi> {


	/****************************************** extends BaseService 部分 start ******************************************/


	int insertSelective(SysMenuOpenApi entity);

    int updateByPrimaryKeySelective(SysMenuOpenApi entity);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysMenuOpenApi findById(Long id);

	@Deprecated
	PageInfo<SysMenuOpenApi> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysMenuOpenApi> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysMenuOpenApi(SysMenuOpenApi entity);

	void updateSysMenuOpenApi(SysMenuOpenApi entity);

	void deleteSysMenuOpenApi(Long id);

	SysMenuOpenApi findSysMenuOpenApiById(Long id);

	R<List<SysMenuOpenApi>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	R<List<SysMenuOpenApi>> pageQueryGenericParam(SysMenuOpenApiQueryCriteria criteria);

	/****************************************** 工具方法 start ******************************************/

	Map<String, SysMenuOpenApi> getPerm2MapStringEntity();

	Map<String, String> getPerm2MapStringEntityString();


}